corda / net.corda.core.utilities / ProgressTracker / RelabelableStep

# RelabelableStep

`inner class RelabelableStep : Step`

This class makes it easier to relabel a step on the fly, to provide transient information.

### Constructors

<init> | `RelabelableStep(currentLabel: String)` This class makes it easier to relabel a step on the fly, to provide transient information.

### Properties

changes | `open val changes: BehaviorSubject<Change>`
currentLabel | `var currentLabel: String`
label | `open val label: String`

### Inherited Functions

childProgressTracker | `open fun childProgressTracker(): ProgressTracker?`